/* -+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
 * gamma correction
 * @brief K}␳tB^
 * -+----1----+----2----+----3----+----4----+----5----+----6----+----7----+-- */
#extension GL_ARB_texture_rectangle: enable

// Screen Efects󂯎
uniform sampler2DRect se_rgbaTex;    // RGBA

/* -+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
 * main
 * -+----1----+----2----+----3----+----4----+----5----+----6----+----7----+-- */
void main(void) {
    float gammaInv = 1.0/2.2;
    vec2 uvPos = gl_FragCoord.xy;
    vec4 rgba = texture2DRect(se_rgbaTex, uvPos).xyzw;
    gl_FragColor = vec4(
        pow(rgba.x, gammaInv),
        pow(rgba.y, gammaInv),
        pow(rgba.z, gammaInv),
        rgba.w
    );
    
    return;
}
