/* -+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
 * vignetting
 * @brief ӌʗtB^
 *
 * @param f œ_(m)
 *
 * J̎ӌʗV~[g܂D
 * -+----1----+----2----+----3----+----4----+----5----+----6----+----7----+-- */
#extension GL_ARB_texture_rectangle: enable

// Screen Efects󂯎
uniform sampler2DRect se_rgbaTex;    // RGBA
uniform vec2 se_screenSize;
uniform float se_cameraZoom;

// jARGBPx
float linearRGBtoY(const vec3 v) {
  return 0.299 * v.r + 0.587 * v.g + 0.114 * v.b;
}

/* -+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8
 * main
 * -+----1----+----2----+----3----+----4----+----5----+----6----+----7----+-- */
void main(void) {
    vec2 uvPos = gl_FragCoord.xy;
    vec4 rgba = texture2DRect(se_rgbaTex, uvPos).xyzw;
    
    float pixWidth = se_screenSize.x;
    float pixHeight = se_screenSize.y;
    float dotPitch;
    if (pixHeight < pixWidth) {
        dotPitch = 0.036 / pixWidth;
    } else {
        dotPitch = 0.036 / pixHeight;
    }
    
    float f = 0.001 * se_cameraZoom;
    
    float x = dotPitch * (uvPos.x - 0.5 * pixWidth);    // tBSx
    float y = dotPitch * (uvPos.y - 0.5 * pixHeight);    // tBSy
    float r2 = x*x + y*y;    // tBS̋2
    float d = sqrt(r2 + f*f);    // YS̋
    float c = f/d;    // Ƃ̂Ȃpcos
    float c4 = c * c * c * c;    // cos4
    
    gl_FragColor = vec4(c4 * rgba.x, c4 * rgba.y, c4 * rgba.z, rgba.w);
    return;
}
